---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libfieldmod02.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x21A50, symBinAddr: 0x8670, symSize: 0x0 }
  - { offsetInCU: 0x94, offset: 0x94, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x21A54, symBinAddr: 0x8674, symSize: 0x0 }
  - { offsetInCU: 0xBF, offset: 0xBF, size: 0x8, addend: 0x0, symName: __ZL7watches, symObjAddr: 0x3478, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x2A6, offset: 0x2A6, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x21A55, symBinAddr: 0x8675, symSize: 0x0 }
  - { offsetInCU: 0x2C4, offset: 0x2C4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x21A58, symBinAddr: 0x8678, symSize: 0x0 }
  - { offsetInCU: 0x8DA4, offset: 0x8DA4, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x21A60, symBinAddr: 0x8680, symSize: 0x0 }
  - { offsetInCU: 0x8DBD, offset: 0x8DBD, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x21B98, symBinAddr: 0x87B8, symSize: 0x0 }
  - { offsetInCU: 0x8DD4, offset: 0x8DD4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x1E70, symSize: 0x24 }
  - { offsetInCU: 0x9060, offset: 0x9060, size: 0x8, addend: 0x0, symName: _printValue, symObjAddr: 0xC70, symBinAddr: 0x1E94, symSize: 0xD8 }
  - { offsetInCU: 0x90CD, offset: 0x90CD, size: 0x8, addend: 0x0, symName: _isEqual, symObjAddr: 0xD48, symBinAddr: 0x1F6C, symSize: 0xB4 }
  - { offsetInCU: 0x9252, offset: 0x9252, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0xDFC, symBinAddr: 0x2020, symSize: 0x834 }
  - { offsetInCU: 0x97D9, offset: 0x97D9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1630, symBinAddr: 0x2854, symSize: 0x18C }
  - { offsetInCU: 0x9AA1, offset: 0x9AA1, size: 0x8, addend: 0x0, symName: _Java_fieldmod02_getReady, symObjAddr: 0x17BC, symBinAddr: 0x29E0, symSize: 0x374 }
  - { offsetInCU: 0x9E97, offset: 0x9E97, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1B30, symBinAddr: 0x2D54, symSize: 0x30 }
  - { offsetInCU: 0xA340, offset: 0xA340, size: 0x8, addend: 0x0, symName: _Java_fieldmod02_check, symObjAddr: 0x1B60, symBinAddr: 0x2D84, symSize: 0x3B8 }
  - { offsetInCU: 0xAA24, offset: 0xAA24, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1F18, symBinAddr: 0x313C, symSize: 0x4 }
  - { offsetInCU: 0xAA6C, offset: 0xAA6C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1F18, symBinAddr: 0x313C, symSize: 0x4 }
  - { offsetInCU: 0xAA7E, offset: 0xAA7E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1F1C, symBinAddr: 0x3140, symSize: 0x4 }
  - { offsetInCU: 0xAAC6, offset: 0xAAC6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1F1C, symBinAddr: 0x3140, symSize: 0x4 }
...
